/*
 * @Author: shiliu
 * @Date: 2022-02-21 11:20:57
 * @LastEditTime: 2022-02-21 11:21:09
 * @LastEditors: shiliu
 * @Description: 
 */
/**
 * @file app_led.h
 * @brief tuyaos quick start demo
 * @version 1.0
 * @date 2022-02-18
 *
 * @copyright Copyright 2021-2031 Tuya Inc. All Rights Reserved.
 *
 */

#ifndef __APP_LED_H__
#define __APP_LED_H__

/***********************************************************************
 ** INCLUDE                                                           **
 **********************************************************************/
#include "gw_intf.h"

#ifdef __cplusplus
extern "C" {
#endif

/***********************************************************************
 ** CONSTANT ( MACRO AND ENUM )                                       **
 **********************************************************************/
typedef UINT8_T LED_STATUS_E;
#define LED_OFF   0
#define LED_ON    1

/***********************************************************************
 ** STRUCT                                                            **
 **********************************************************************/


/***********************************************************************
 ** VARIABLE                                                          **
 **********************************************************************/


/***********************************************************************
 ** FUNCTON                                                           **
 **********************************************************************/

/**
* @brief led init
*
* @param[in] none
* @return none
*/
void app_led_init(void);

/**
* @brief set led 
*
* @param[in] led_status: LED_ON: led turn on, LED_OFF: led turn off
* @return none
*/
void set_led_status(LED_STATUS_E led_status);

/**
* @brief get led status, on or off
*
* @param[in] none
* @return current led status
*/
LED_STATUS_E get_led_status(void);

/**
* @brief init led thread 
*
* @param[in] none
* @return none
*/
void app_led_thread_init(void);

#ifdef __cplusplus
}
#endif

#endif /* __APP_LED_H__ */
